Skip to navigation

Create a test environment job

View as Markdown

Use this operation to create a new job for a specific Test Environment. It handles HTTP POST requests to the /test-environments/{id}/jobs endpoint, accepting a JobRequest object in the request body. Upon successful creation, it returns a JobResponse object and sets the Location header to the polling URL for the created job.

User Access Permission

You must be assigned the Refresh Central Sandbox permission to run this operation.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

idstringRequired
Test Environment ID

Headers

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Request

jobRequest
jobTypeenumRequired
The type of workflow job to be performed on the Test Environment
Allowed values:
scheduledRefreshTimedatetimeOptional
Optional date for scheduling a job

Response

OK
createTimedatetimeOptional
The date and time when the job was first synced to self service
createdByIdstringOptional
The automatically generated ID of the Zuora user who created the job object
estimatedCompletionTimedatetimeOptional
The date and time when the job is estimated to be completed
idstringOptional

The unique ID (UUID) of the Test Environment job

jobEndTimedatetimeOptional
The date and time when the job completed
jobStartTimedatetimeOptional
The date and time when the job was started
jobTypeenumOptional
The type of Test Environment job being performed
Allowed values:
progressPercentageintegerOptional
The progress percentage of the job
scheduledRefreshTimedatetimeOptional
The optional date and time for scheduling a job
statusenumOptional
The status of the Test Environment job
testEnvironmentIdstringOptional
The Test Environment to which this job belongs
updateTimedatetimeOptional

The date and time when the job was last synced to self-service

updatedByIdstringOptional
The automatically generated ID of the Zuora user who updated the job object

Errors

400
Bad Request Error